package com.fs.qw.param.newqw;


import com.fs.his.param.BaseParam;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;


@EqualsAndHashCode(callSuper = true)
@Data
public class QwExternalContactPageListParam extends BaseParam implements Serializable {
    @ApiModelProperty(value = "用户id，不用传")
    private Long userId;

    @ApiModelProperty(value = "公司id")
    private String companyId;

    @ApiModelProperty(value = "公司员工id")
    private String companyUserId;

    @ApiModelProperty(value = "tab序号，0全部；1今日新增；2今日完播；3未看过课")
    private String queryValue;

    @ApiModelProperty(value = "注册时间-开始")
    private String regiesterStartTime;

    @ApiModelProperty(value = "注册时间-结束")
    private String regiesterEndTime;

    @ApiModelProperty(value = "模糊搜索")
    private String searchValue;

    @ApiModelProperty(value = "")
    private String type;

    @ApiModelProperty(value = "看课状态，0全部；1未看过课；2正常看课；3停止看课")
    private String watchCourseType;

    @ApiModelProperty(value = "")
    private String[] tagIds;

    private Boolean isBlack;


}

